/**
 * @file
 * Seven styles for Tables.
 */

table,
[data-resa-type="table"] {
  width: 100%;
  margin: 0 0 10px;
  display: table;
}
th,
[data-resa-type="th"] {
  font-weight: bold;
  padding: 10px 12px;
  text-align: left; /* LTR */
}
[dir="rtl"] th,
[dir="rtl"] [data-resa-type="th"] {
  text-align: right;
}
[data-resa-type="thead"] {
  display: table-header-group;
}
[data-resa-type="tfoot"] {
  display: table-footer-group;
}
[data-resa-type="tbody"] {
  display: table-row-group;
}
thead th,
[data-resa-type="thead"] [data-resa-type="th"] {
  text-transform: uppercase;
  color: #333;
  border: solid #bfbfba;
  border-width: 1px 0;
  background: #f5f5f2;
  display: table-cell;
}
tr,
[data-resa-type="tr"] {
  padding: 0.1em 0.6em;
  border-bottom: 1px solid #e6e4df;
  display: table-row;
}
thead > tr,
[data-resa-type="thead"] [data-resa-type="tr"] {
  border-bottom: 1px solid #000;
}
tbody tr:hover,
tbody tr:focus,
[data-resa-type="tbody"] [data-resa-type="tr"]:hover,
[data-resa-type="tbody"] [data-resa-type="tr"]:focus {
  background: #f7fcff;
}
/* See colors.css */
tbody tr.color-warning:hover,
tbody tr.color-warning:focus,
[data-resa-type="tbody"] [data-resa-type="tr"].color-warning:hover,
[data-resa-type="tbody"] [data-resa-type="tr"].color-warning:focus {
  background: #fdf8ed;
}
tbody tr.color-error:hover,
tbody tr.color-error:focus,
[data-resa-type="tbody"] [data-resa-type="tr"].color-error:hover,
[data-resa-type="tbody"] [data-resa-type="tr"].color-error:focus {
  background: #fcf4f2;
}

table.no-highlight tr.selected td,
[data-resa-type="table"].no-highlight [data-resa-type="tr"].selected [data-resa-type="td"] {
  background: transparent;
}

td,
th,
[data-resa-type="td"],
[data-resa-type="th"] {
  vertical-align: middle;
}
td,
[data-resa-type="td"] {
  display: table-cell;
  padding: 10px 12px;
  text-align: left; /* LTR */
}
[dir="rtl"] td,
[dir="rtl"] [data-resa-type="td"] {
  text-align: right;
}
th > a,
[data-resa-type="th"] > a {
  position: relative;
  display: block;
}

/* 1. Must match negative bottom padding of the parent <th> */
th > a:after,
[data-resa-type="th"] > a:after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: -10px; /* 1. */
  left: 0;
  display: block;
  content: "";
  -webkit-transition: all 0.1s;
  transition: all 0.1s;
  border-bottom: 2px solid transparent;
}
th.is-active > a,
[data-resa-type="th"].is-active > a {
  color: #004875;
}
th.is-active img,
[data-resa-type="th"].is-active img {
  position: absolute;
  top: 50%;
  right: 0; /* LTR */
}
[dir="rtl"] th.is-active img,
[dir="rtl"] [data-resa-type="th"].is-active img {
  right: auto;
  left: 0;
}
th.is-active > a:after,
[data-resa-type="th"].is-active > a:after {
  border-bottom-color: #004875;
}
th > a:hover,
th > a:focus,
th.is-active > a:hover,
th.is-active > a:focus {
  text-decoration: none;
  color: #008ee6;
}
th > a:hover:after,
th > a:focus:after,
th.is-active > a:hover:after,
th.is-active > a:focus:after,
[data-resa-type="th"] > a:hover:after,
[data-resa-type="th"] > a:focus:after,
[data-resa-type="th"].is-active > a:hover:after,
[data-resa-type="th"].is-active > a:focus:after {
  border-bottom-color: #008ee6;
}
td .item-list ul,
[data-resa-type="td"] .item-list ul {
  margin: 0;
}
/* This is required to win over specificity of [dir="rtl"] .item-list ul */
[dir="rtl"] td .item-list ul,
[dir="rtl"] [data-resa-type="td"] .item-list ul {
  margin: 0;
}
td.is-active,
[data-resa-type="td"].is-active {
  background: none;
}

/* Force browsers to calculate the width of a 'select all' <th> element. */
th.select-all,
[data-resa-type="th"].select-all {
  width: 1px;
}

/**
 * Responsive tables.
 */
@media screen and (max-width: 37.5em) {
  /* 600px */
  th.priority-low,
  td.priority-low,
  th.priority-medium,
  td.priority-medium {
    display: none;
  }
}

@media screen and (max-width: 60em) {
  /* 920px */
  th.priority-low,
  td.priority-low {
    display: none;
  }
}

/* TODO bon endroit? */
div.resa-hide {
  display: none;
}
